List project members
curl --request GET \
--url https://{platformHost}/api/public/v1/projects/{projectId}/members \
--header 'X-API-Key: <api-key>'{
"success": true,
"data": {
"data": [
{
"memberId": "<string>",
"userId": "<string>",
"role": {
"roleId": "builtin.workspace.restricted_member",
"name": "RESTRICTED_MEMBER",
"type": "system",
"source": "direct"
},
"revision": 1,
"email": "jsmith@example.com",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}List project members
List the members of a project with their roles, using cursor pagination.
GET
/
api
/
public
/
v1
/
projects
/
{projectId}
/
members
List project members
curl --request GET \
--url https://{platformHost}/api/public/v1/projects/{projectId}/members \
--header 'X-API-Key: <api-key>'{
"success": true,
"data": {
"data": [
{
"memberId": "<string>",
"userId": "<string>",
"role": {
"roleId": "builtin.workspace.restricted_member",
"name": "RESTRICTED_MEMBER",
"type": "system",
"source": "direct"
},
"revision": 1,
"email": "jsmith@example.com",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}project.members.read scope. You must provide a workspace key or a project key bound to this project.
The results are paginated with a cursor. Pass nextCursor from the response as cursor in the next request. Each item includes the workspace memberId, the member’s project role, and the revision. Use limit to set the page size from 1 to 200. The default is 50.Authorizations
platformApiKeybearerPlatformKey
Query Parameters
Was this page helpful?